Subject: Re: [bug#74542] [PATCH v2 00/16] Improved tooling for package updates

From: Simon Tournier <[email-masked]>
Date: Fri, 29 Nov 2024 16:23:37 +0100

Hi Ludo,

On Fri, 29 Nov 2024 at 10:40, Ludovic Courtès <[email-masked]> wrote:

>   • ‘generic-html’ updater correctly computes URLs for ‘curl’ and
>     any other package that uses <base href="…"> in its release
>     monitoring page.

Oh! :-)

>   • Manifest is now limited to a dozen security-critical packages (I
>     left out leaf packages entirely; we can work on it separately
>     later).

I agree.

> I’d like to have the manifest built by CI soon so we can assess
> its usefulness and tweak it as needed.

I agree.

> Ludovic Courtès (16):
>   transformations: Export ‘package-with-upstream-version’.
>   gnu-maintenance: ‘import-html-release’ doesn’t abort upon HTTP 404.
>   gnu-maintenance: Savannah/Xorg updaters no longer abort on network
>     errors.
>   guix build: Add ‘--development’ option.
>   packages: Factorize ‘all-packages’.
>   guix build: Add ‘--dependents’.
>   import: gnome: Keep going upon HTTP errors.
>   gnu-maintenance: ‘gnu-ftp’ updater excludes GnuPG-hosted packages.
>   gnu: Update updater properties for GnuPG-related packages.
>   gnu: gnutls: Change release monitoring URL.
>   gnu: git-minimal: Add ‘upstream-name’ property.
>   gnu-maintenance: ‘generic-html’ update honors <base href="…">.
>   guix build: Validate that the file passed to ‘-m’ returns a manifest.
>   transformations: ‘package-with-upstream-version’ can preserve patches.
>   transformations: Add #:authenticate? to
>     ‘package-with-upstream-version’.
>   etc: Add upgrade manifest.
>
>  Makefile.am                      |   1 +
>  doc/contributing.texi            |   4 +-
>  doc/guix.texi                    |  52 +++++++++
>  etc/source-manifest.scm          |  13 +--
>  etc/upgrade-manifest.scm         | 128 +++++++++++++++++++++
>  gnu/packages.scm                 |  20 +++-
>  gnu/packages/gnupg.scm           |  40 ++-----
>  gnu/packages/tls.scm             |   6 +-
>  gnu/packages/version-control.scm |   3 +-
>  guix/download.scm                |   3 +-
>  guix/gnu-maintenance.scm         |  90 +++++++++------
>  guix/import/gnome.scm            |  13 ++-
>  guix/scripts/build.scm           | 185 ++++++++++++++++++++++++-------
>  guix/scripts/graph.scm           |  10 --
>  guix/scripts/refresh.scm         |  10 --
>  guix/scripts/weather.scm         |  15 ---
>  guix/transformations.scm         |  43 ++++++-
>  tests/guix-build.sh              |  11 ++
>  tests/transformations.scm        |  31 +++++-
>  19 files changed, 517 insertions(+), 161 deletions(-)
>  create mode 100644 etc/upgrade-manifest.scm

Well, I have not given another look to all this v2 patchset.  But from I
have checked, it’s LGTM.

Cheers,
simon